﻿using System;
using HeartTrack.Models;

namespace HeartTrack.Services.UserDataService
{
    public interface IUserDataService
    {
        public Task<List<User>> getAllUsers();

        public Task SaveAllUsers(List<User> list);

        public Task AddUser(User u);

        public Task RemoveUser(User u);

        public Task UpdateUser(User u);

        public Task<User> getUserById(int id);
        public void BanOnId(int id);
        public void UnbanOnId(int id);
    }
}

